@extends('layouts.theme')
 
@if(isset($movie))
@section('custom-meta')
@section('title',$movie->title.' | ')
<link rel="canonical" href="{{ url()->full() }}"/>
<meta name="robots" content="all">
<meta property="og:title" content="{{$movie->title}}"/>
<meta property="og:description" content="{{substr(strip_tags($movie->detail), 0, 100)}}{{strlen(strip_tags($movie->detail))>100 ? '...' : ""}}" />
<meta property="og:type" content="website"/>
<meta property="og:url" content="{{ url()->full() }}" />
<meta property="og:image" content="{{url('public/images/movies/thumbnails/'.$movie->thumbnail)}}" />

<meta name="twitter:title" content="{{$movie->title}}" />
<meta name="twitter:card" content="summary" />
<meta name="twitter:description" content="{{$movie->detail}}" />
<meta name="twitter:site" content="{{ url()->full() }}" />
@endsection

@elseif($season)
 @php
   $title = $season->tvseries->title;
  @endphp
@section('custom-meta')
<meta name="Description" content="{{$season->tvseries->description}}" />
<meta name="keyword" content="{{$season->tvseries->title}}, {{$season->tvseries->keyword}}">
@endsection

@section('title',"$title")

@endif
 @php
 
    $withlogin= App\Config::findOrFail(1)->withlogin;
    $catlog= App\Config::findOrFail(1)->catlog;
    $configs=App\Config::findOrFail(1);
    $auth=Auth::user();
  //   $subscribed = null;
         
  //    if (isset($auth)) {
  //   $current_date = Illuminate\Support\Carbon::now();
  //   $paypal=App\PaypalSubscription::where('user_id',$auth->id)->orderBy('created_at','desc')->first();

  //   if (isset($paypal)) {
  //     if (date($current_date) <= date($paypal->subscription_to)) {
  //       if ($paypal->package_id==0) {
  //         $nav_menus=App\Menu::all();
  //         $subscribed=1;
  //       }
  //     }
  //   }

    
  //   if ($auth->is_admin == 1 || $auth->is_assistant == 1) {
  //     $subscribed = 1;
  //     $nav_menus=App\Menu::orderBy('position','ASC')->get();
  //   } else{
  //     Stripe\Stripe::setApiKey(env('STRIPE_SECRET'));
  //     if ($auth->stripe_id != null) {
  //        $customer = \Laravel\Cashier\Cashier::findBillable($auth->stripe_id);
  //       // $customer = Stripe\Customer::retrieve($auth->stripe_id);
  //     }
  //     if (isset($customer)) {         
  //       $data = $auth->subscriptions->last();      
  //     } 
  //     if (isset($paypal) && $paypal != null && $paypal->count()>0) {
  //       $last = $paypal;
  //     } 
  //     $stripedate = isset($data) ? $data->created_at : null;
  //     $paydate = isset($last) ? $last->created_at : null;
  //     if($stripedate > $paydate){
  //       if($auth->subscribed($data->name) && date($current_date) <= date($data->subscription_to) && getPlan() == 1){
  //         $subscribed = 1;
  //         $planmenus= DB::table('package_menu')->where('package_id',$data->stripe_plan)->get();
  //          if(isset($planmenus)){ 
  //           foreach ($planmenus as $key => $value) {
  //             $menus[]=$value->menu_id;
  //           }
  //         }
  //         if(isset($menus)){ 
  //           $nav_menus=App\Menu::whereIn('id',$menus)->get();
  //         }
  //       }
  //     }
  //     elseif($stripedate < $paydate){
  //       if ((date($current_date) <= date($last->subscription_to)) && $last->status == 1){
  //         $subscribed = 1;
  //         $planmenus= DB::table('package_menu')->where('package_id', $last->plan['plan_id'])->get();
  //         if(isset($planmenus)){ 
  //           foreach ($planmenus as $key => $value) {
  //             $menus[]=$value->menu_id;
  //           }
  //         }
  //         if(isset($menus)){ 
  //           $nav_menus=App\Menu::whereIn('id',$menus)->get();
  //         }
  //       }
  //     }
  //   }
  // }
       
 @endphp
@section('main-wrapper')
<!-- main wrapper -->
  <section class="main-wrapper">

  <!-- Age -->
  @include('modal.agemodal')
  <!-- Age warning -->
  @include('modal.agewarning')

    @if(isset($movie))
      @if($movie->poster != null)
        <div id="big-main-poster-block" class="big-main-poster-block" style="background-image: url('{{url('images/movies/posters/'.$movie->poster)}}');">
          <div class="overlay-bg"></div>
        </div>
      @else
        <div id="big-main-poster-block" class="big-main-poster-block" style="background-image: url('{{url('images/default-poster.jpg')}}');">
          <div class="overlay-bg"></div>
        </div>
      @endif
    @endif
    @if(isset($season))
      @if($season->poster != null)
        <div id="big-main-poster-block" class="big-main-poster-block" style="background-image: url('{{url('images/tvseries/posters/'.$season->poster)}}');">
          <div class="overlay-bg"></div>
        </div>
      @elseif($season->tvseries->poster != null)
        <div id="big-main-poster-block" class="big-main-poster-block" style="background-image: url('{{url('images/tvseries/posters/'.$season->tvseries->poster)}}');">
          <div class="overlay-bg"></div>
        </div>
      @else
        <div id="big-main-poster-block" class="big-main-poster-block" style="background-image: url('{{url('images/default-poster.jpg')}}');">
          <div class="overlay-bg"></div>
        </div>
      @endif
    @endif
    <div id="full-movie-dtl-main-block" class="full-movie-dtl-main-block full-movie-dtl-block-custom">
      <div class="container-fluid">
        @if(isset($movie))
          @php
           
            $a_languages = collect();
            if ($movie->a_language != null) {
              $a_lan_list = explode(',', $movie->a_language);
              for($i = 0; $i < count($a_lan_list); $i++) {
                try {
                  $a_language = \App\AudioLanguage::find($a_lan_list[$i])->language;
                  $a_languages->push($a_language);
                } catch (Exception $e) {
                }
              }
            }
          if(isset($auth)){


            $wishlist_check = \Illuminate\Support\Facades\DB::table('wishlists')->where([
                                                                        ['user_id', '=', $auth->id],
                                                                        ['movie_id', '=', $movie->id],
                                                                       ])->first();
                                                                        }
            // Directors list of movie from model
            $directors = collect();
            if ($movie->director_id != null) {
              $p_directors_list = explode(',', $movie->director_id);
              for($i = 0; $i < count($p_directors_list); $i++) {
                try {
                  $p_director = \App\Director::find($p_directors_list[$i])->name;
                  $directors->push($p_director);
                } catch (Exception $e) {

                }
              }
            }

            // Actors list of movie from model
            $actors = collect();
            if ($movie->actor_id != null) {
              $p_actors_list = explode(',', $movie->actor_id);
              for($i = 0; $i < count($p_actors_list); $i++) {
                try {
                  $p_actor = \App\Actor::find($p_actors_list[$i])->name;
                  $actors->push($p_actor);
                } catch (Exception $e) {

                }
              }
            }

            // Genre list of movie from model
            $genres = collect();
            if (isset($movie->genre_id)){
              $genre_list = explode(',', $movie->genre_id);
              for ($i = 0; $i < count($genre_list); $i++) {
                try {
                  $genre = \App\Genre::find($genre_list[$i])->name;
                  $genres->push($genre);
                } catch (Exception $e) {

                }
              }
            }

          @endphp
          <div class="row">
            <div class="col-md-8">
              <div class="full-movie-dtl-block">
                <h2 id="full-movie-name" class="section-heading">{{$movie->title}}</h2>
                <div class="imdb-ratings-block">
                  <ul>
                    @if(isset($movie->publish_year))<li>{{$movie->publish_year}}</li>@endif
                     @if($movie->live!=1)
                    @if(isset($movie->duration))<li>{{$movie->duration}} {{__('staticwords.mins')}}</li>@endif
                    @endif
                    @if(isset($movie->maturity_rating))<li>{{$movie->maturity_rating}}</li>@endif
                     @if($movie->live!=1)
                      @if($configs->user_rating != 1)
                        @if(isset($movie->rating))<li>{{__('staticwords.tmdbrating')}} {{$movie->rating}}</li>@endif
                      @endif
                    @endif
                     
                    <li><i title="views" class="fa fa-eye"></i> {{ views($movie)
                      ->unique()
                      ->count() }}
                    </li>
                    <li data-toggle="modal" href="#sharemodal">
                      <i title="Share" class="fa fa-share-alt" aria-hidden="true"></i>
                    </li>

                  </ul>
                </div>
                   @auth
                  @if($configs->user_rating==1)
                @php
                $uid=Auth::user()->id;
                $rating=App\UserRating::where('user_id',$uid)->
                where('movie_id',$movie->id)->first();
                $avg_rating=App\UserRating::where('movie_id',$movie->id)->avg('rating');
                @endphp
                   <h6>{{__('staticwords.averagerating')}}  <span style="margin-left: 10px;">{{ number_format($avg_rating, 2) }}</span></h6>
                    {!! Form::open(['method' => 'POST', 'id'=>'formrating', 'action' => 'UserRatingController@store']) !!}
                  <input type="text" hidden="" name="movie_id" value="{{$movie->id}}">
                    <input type="text" hidden="" name="user_id" value="{{$auth->id}}">
                  <input id="rating" name="rating" class="rating rating-loading" data-min="0" data-max="5" data-step="0.1" onmouseover="mouseoverrating()" value="{{isset($rating)? $rating->rating: 2}}">
                  <button type="submit" hidden="" id="submitrating"> Submit Rating</button>
                  {!!Form::close()!!} 
                 {{--  <a href="javascript:video(0)" onclick="myrate()">Give Rating</a>
                  <button onclick="myrate()">Click me</button> --}}
                  @endif
                 @endauth

                 <div id="wishlistelement" class="screen-play-btn-block ">
                @if($auth && getSubscription()->getData()->subscribed == true)
                  @if($movie->is_upcoming != 1)
                    @if(checkInMovie($movie) == true)
                      @if($movie->maturity_rating == 'all age' || $age>=str_replace('+', '',$movie->maturity_rating))
                        @if(isset($movie->video_link['iframeurl']) && $movie->video_link['iframeurl'] != null)
                          
                          <a href="{{route('watchmovieiframe',$movie->id)}}"class="btn btn-play iframe"><span class="play-btn-icon"><i class="fa fa-play"></i></span> <span class="play-text">{{__('staticwords.playnow')}}</span>
                          </a>
                
                        @else

                          <a href="{{route('watchmovie',$movie->id)}}" class="watch-trailer-btn iframe btn btn-play"><span class="play-btn-icon"><i class="fa fa-play"></i></span> <span class="play-text">{{__('staticwords.playnow')}}</span>
                            </a>
                            
                        @endif
                      @else

                        <a onclick="myage({{$age}})"  class="watch-trailer-btn btn btn-play"><span class="play-btn-icon"><i class="fa fa-play"></i></span> <span class="play-text">{{__('staticwords.playnow')}}</span>
                        </a>
                        
                      @endif
                    @endif
                  @endif
                  @if($movie->trailer_url != null || $movie->trailer_url != '')
                    <a href="{{ route('watchTrailer',$movie->id)  }}" class="watch-trailer-btn iframe btn btn-default">{{__('staticwords.watchtrailer')}}</a>
                  @endif
                @else
                   @if($movie->trailer_url != null || $movie->trailer_url != '')
                    <a href="{{ route('guestwatchtrailer',$movie->id)  }}" class="watch-trailer-btn iframe btn btn-default">{{__('staticwords.watchtrailer')}}</a>
                  @endif
                @endif
                @if($catlog ==0 && getSubscription()->getData()->subscribed == true)
                  @if (isset($wishlist_check->added))
                    <a onclick="addWish({{$movie->id}},'{{$movie->type}}')" class="watch-trailer-btn addwishlistbtn{{$movie->id}}{{$movie->type}} btn-default">{{$wishlist_check->added == 1 ? __('staticwords.removefromwatchlist') : __('staticwords.addtowatchlist')}}</a>
                  @else
                    <a onclick="addWish({{$movie->id}},'{{$movie->type}}')" class="watch-trailer-btn addwishlistbtn{{$movie->id}}{{$movie->type}} btn-default">{{__('staticwords.addtowatchlist')}}</a>
                  @endif
                @elseif($catlog ==1 && $auth)
                  @if (isset($wishlist_check->added))
                    <a onclick="addWish({{$movie->id}},'{{$movie->type}}')" class="watch-trailer-btn addwishlistbtn{{$movie->id}}{{$movie->type}} btn-default">{{$wishlist_check->added == 1 ? __('staticwords.removefromwatchlist') : __('staticwords.addtowatchlist')}}</a>
                  @else
                    <a onclick="addWish({{$movie->id}},'{{$movie->type}}')" class="watch-trailer-btn addwishlistbtn{{$movie->id}}{{$movie->type}} btn-default">{{__('staticwords.addtowatchlist')}}</a>
                  @endif
                @endif
                 
                @php
                 $mlc = array();
                  if(isset($movie->multilinks)){
                    foreach ($movie->multilinks as $key => $value) {
                       if($value->download == 1){
                        $mlc[] = 1;
                       }else{
                          $mlc[] = 0;
                       }
                    }
                  }
                @endphp

                @if(isset($movie->multilinks) && count($movie->multilinks) > 0 )   
                  @if(Auth::user() && getSubscription()->getData()->subscribed == true)
                    @if(in_array(1, $mlc))
                      <button type="button" class="watch-trailer-btn btn btn-default" data-toggle="collapse" data-target="#downloadmovie">{{__('staticwords.download')}}</button>

                      <div id="downloadmovie" class="collapse">
                        <table  class=" text-center table table-bordered table-responsive detail-multiple-link">
                          <thead>
                            <th align="center">#</th>
                            <th align="center">{{__('staticwords.download')}}</th>
                            <th align="center">{{__('staticwords.quality')}}</th>
                            <th align="center">{{__('staticwords.size')}}</th>
                            <th align="center">{{__('staticwords.language')}}</th>
                            <th align="center">{{__('staticwords.clicks')}}</th>
                            <th align="center">{{__('staticwords.user')}}</th>
                            <th align="center">{{__('staticwords.added')}}</th>
                          </thead>
                     
                          <tbody>
                            @foreach($movie->multilinks as $key=> $link)
                              @if($link->download == 1)
                                <tr>
                                  @php
                                    $lang = App\AudioLanguage::where('id',$link->language)->first();
                                  @endphp

                                  <td align="center">{{$key+1}}</td>
                                  <td align="center"><a data-id="{{$link->id}}" class="download btn btn-sm btn-success" title="{{__('staticwords.download')}}" href="{{$link->url}}" ><i class="fa fa-download"></i></td>
                                  <td align="center">{{$link->quality}}</td>
                                  <td align="center">{{$link->size}}</td>
                                  <td align="center">@if(isset($lang)){{$lang->language}}@endif</td>
                                  <td>{{$link->clicks}}</td>
                                  <td align="center">{{$link->movie->user->name}}</td>
                                  <td align="center">{{date('Y-m-d',strtotime($link->created_at))}}</td>
                                </tr>
                              @endif
                            @endforeach
                          </tbody>
                          
                        </table>
                      </div>
                    @endif
                  @endif
                @endif
              </div>
                <p>
                  {{$movie->detail}}
                </p>
              </div>
              <div class="screen-casting-dtl">
                <ul class="casting-headers">
                  @if($movie->live!=1)
                   @if (count($directors) > 0)
                      <li>{{__('staticwords.directors')}} : 
                        <span class="categories-count">
                            @for($i = 0; $i < count($directors); $i++)
                              @if($i == count($directors)-1)
                                <a href="{{url('video/detail/director_search', trim($directors[$i]))}}">{{$directors[$i]}}</a>
                              @else
                                <a href="{{url('video/detail/director_search', trim($directors[$i]))}}">{{$directors[$i]}}</a>,
                              @endif
                            @endfor
                        </span>
                      </li>
                    @endif
                    @if (count($actors) > 0)
                     <li>{{__('staticwords.starring')}} : 
                        <span class="categories-count">
                            @for($i = 0; $i < count($actors); $i++)
                              @if($i == count($actors)-1)
                                <a href="{{url('video/detail/actor_search', trim($actors[$i]))}}">{{$actors[$i]}}</a>
                              @else
                                <a href="{{url('video/detail/actor_search', trim($actors[$i]))}}">{{$actors[$i]}}</a>,
                              @endif
                            @endfor
                        </span>
                     </li>
                    @endif
                  @endif
                  @if (count($genres) > 0)
                   <li>{{__('staticwords.genres')}} : 
                      <span class="categories-count">
                          @for($i = 0; $i < count($genres); $i++)
                            @if($i == count($genres)-1)
                              <a href="{{url('video/detail/genre_search', trim($genres[$i]))}}">{{$genres[$i]}}</a>
                            @else
                              <a href="{{url('video/detail/genre_search', trim($genres[$i]))}}">{{$genres[$i]}}</a>,
                            @endif
                          @endfor
                      </span>
                    </li>
                  @endif
                  @if(count($movie->subtitles)>0)
                    <li>{{__('staticwords.subtitles')}} : 
                      <span class="categories-count">
                          @foreach($movie->subtitles as $key=> $sub)
                           @if($key == count($movie->subtitles)-1)
                            {{ $sub['sub_lang'] }}
                           @else
                             {{ $sub['sub_lang'] }},
                           @endif
                          @endforeach  
                      </span>
                    </li>
                  @endif
                  @if (count($a_languages) > 0)
                    <li>{{__('staticwords.audiolanguage')}} : 
                       <span class="categories-count">
                          @if($movie->a_language != null && isset($a_languages))
                            @for($i = 0; $i < count($a_languages); $i++)
                              @if($i == count($a_languages)-1)
                                {{$a_languages[$i]}}
                              @else
                                {{$a_languages[$i]}},
                              @endif
                            @endfor
                          @else
                            -
                          @endif
                       </span>
                    </li>
                  @endif
                </ul>
          
              </div>
              
            </div>
            @if($button->remove_thumbnail == 0)
              @php
                if($movie->thumbnail != NULL){
                  $content = @file_get_contents(public_path() . 'images/movies/thumbnails/' . $movie->thumbnail);
                    if($content){
                      $image = 'images/movies/thumbnails/'.$movie->thumbnail;
                    }else{
                        $image = 'images/default-thumbnail.jpg';
                      }
                  }else{
                    $image = 'images/default-thumbnail.jpg';
                  }
                    //$image = 'images/tvseries/thumbnails/'.$item->thumbnail;
                    // Read image path, convert to base64 encoding
                  
                $imageData = base64_encode(@file_get_contents($image));
                if($imageData){
                    $src = 'data: '.mime_content_type($image).';base64,'.$imageData;
                }
              @endphp
            <div class="col-md-4">
              <div id="poster-thumbnail" class="poster-thumbnail-block home-prime-slider">
                @if($src != null || $src != '')
                  <img data-src="{{$src}}" class="img-responsive lazy" alt="genre-image">
                @endif
               
              </div>
            </div>
            @endif
          </div>
        @elseif(isset($season))
          @php
            $subtitles = collect();
            if ($season->subtitle == 1) {
              $subtitle_list = explode(',', $season->subtitle_list);
              for($i = 0; $i < count($subtitle_list); $i++) {
                try {
                  $subtitle = \App\AudioLanguage::find($subtitle_list[$i])->language;
                  $subtitles->push($subtitle);
                } catch (Exception $e) {
                }
              }
            }
            $a_languages = collect();
            if ($season->a_language != null) {
              $a_lan_list = explode(',', $season->a_language);
              for($i = 0; $i < count($a_lan_list); $i++) {
                try {
                  $a_language = \App\AudioLanguage::find($a_lan_list[$i])->language;
                  $a_languages->push($a_language);
                } catch (Exception $e) {
                }
              }
            }
             if(isset($auth)){
            $wishlist_check = \Illuminate\Support\Facades\DB::table('wishlists')->where([
                                                                          ['user_id', '=', $auth->id],
                                                                          ['season_id', '=', $season->id],
                                                                         ])->first();
                                                                       }
            // Actors list of movie from model
            $actors = collect();
            if ($season->actor_id != null) {
              $p_actors_list = explode(',', $season->actor_id);
              for($i = 0; $i < count($p_actors_list); $i++) {
                try {
                  $p_actor = \App\Actor::find(trim($p_actors_list[$i]))->name;
                  $actors->push($p_actor);
                } catch (Exception $e) {
                }
              }
            }

            // Genre list of movie from model
            $genres = collect();
            if ($season->tvseries->genre_id != null){
              $genre_list = explode(',', $season->tvseries->genre_id);
              for ($i = 0; $i < count($genre_list); $i++) {
                try {
                  $genre = \App\Genre::find($genre_list[$i])->name;
                  $genres->push($genre);
                } catch (Exception $e) {
                }
              }
            }
          @endphp
          <div class="row">
            <div class="col-md-8">
              <div class="full-movie-dtl-block">
                <h2 id="full-movie-name" class="section-heading">{{$season->tvseries->title}}</h2>
                 <br/>
                <select style="width:20%;-webkit-box-shadow: none;box-shadow: none;color: #FFF;background: #000;display: block;clear: both;border: 1px solid #666;border-radius: 0;" name="" id="selectseason" class="form-control">
                  @foreach($season->tvseries->seasons as $allseason)

                    <option {{ $season->id == $allseason->id ? "selected" : "" }} value="{{ $allseason->id }}">{{__('staticwords.season')}}{{ $allseason->season_no }}</option>
                  
                  @endforeach
                </select>
                <br>
                <!-- <div class="imdb-ratings-block">
                  <ul>
                    @if(isset($season->publish_year))<li>{{$season->publish_year}}</li>@endif
                    @if(isset($season->season_no))<li>{{$season->season_no}} {{__('staticwords.season')}}</li>@endif
                    @if(isset($season->tvseries->age_req))<li>{{$season->tvseries->age_req}}</li>@endif
                    @if($configs->user_rating != 1)
                     @if(isset($season->tvseries->rating))<li>{{__('staticwords.tmdbrating')}} {{$season->tvseries->rating}}</li>@endif
                    @endif
                    
                      <li><i title="views" class="fa fa-eye"></i> {{ views($season)
                        ->unique()
                        ->count() }}</li>

                      <li data-toggle="modal" href="#sharemodal">
                        
                        <i title="Share" class="fa fa-share-alt" aria-hidden="true"></i>

                      </li>
                   
                  </ul>

                </div> -->
                 @auth
                  @if($configs->user_rating==1)
                   @php
                $uid=Auth::user()->id;
                $rating=App\UserRating::where('user_id',$uid)->
                where('tv_id',$season->tvseries->id)->first();
                $avg_rating=App\UserRating::where('tv_id',$season->tvseries->id)->avg('rating');
                @endphp
                  <!-- <h6>{{__('staticwords.averagerating')}}  <span style="margin-left: 10px;"> {{ number_format($avg_rating, 2) }}</span></h6>
                    {!! Form::open(['method' => 'POST', 'id'=>'formratingtv', 'action' => 'UserRatingController@store']) !!}
                  <input type="text" hidden="" name="tv_id" 
                  value="{{$season->tvseries->id}}">
                    <input type="text" hidden="" name="user_id" value="{{$auth->id}}">
                  <input id="rating" name="rating" class="rating rating-loading" data-min="0" data-max="5" data-step="0.1" onmouseover ="mouseoverratingtv()" 
                  value="{{isset($rating)? $rating->rating: 2}}">
                  <button type="submit" hidden="" id="submitrating"> Submit Rating</button>
                  {!!Form::close()!!}
                 {{--  <a href="javascript:video(0)" onclick="myrateTv()">Give Rating</a>
                  <button onclick="myrateTv()">Click me</button> --}} -->
                  @endif
                 @endauth

                <div class="screen-play-btn-block">
                 @if($auth && getSubscription()->getData()->subscribed == true)
                  @if(isset($season->episodes[0]) && checkInTvseries($season->tvseries) == true)
                    @if($season->tvseries->age_req =='all age' || $age>=str_replace('+', '',$season->tvseries->age_req))
                      @if($season->episodes[0]->video_link['iframeurl'] !="")
                       
                        <a href="#" onclick="playoniframe('{{ $season->episodes[0]->video_link['iframeurl'] }}','{{ $season->tvseries->id }}','tv')" class="btn btn-play"><span class="play-btn-icon"><i class="fa fa-play"></i></span> <span class="play-text">{{__('staticwords.playnow')}}</span>
                        </a>
                      @else
                        <a href="{{ route('watchTvShow',$season->id)  }}" class="watch-trailer-btn iframe btn btn-play"><span class="play-btn-icon"><i class="fa fa-play"></i></span> <span class="play-text">{{__('staticwords.playnow')}}</span></a>
                      @endif
                    @else
                      <a  onclick="myage({{$age}})" class="watch-trailer-btn btn btn-play"><span class="play-btn-icon"><i class="fa fa-play"></i></span> <span class="play-text">{{__('staticwords.playnow')}}</span></a>
                    @endif
                  @endif
                   @if($season->trailer_url != null || $season->trailer_url != '')
                    <a href="{{ route('watchtvTrailer',$season->id)  }}" class="watch-trailer-btn iframe btn btn-default">{{__('staticwords.watchtrailer')}}</a>
                  @endif
                @else
                   @if($season->trailer_url != null || $season->trailer_url != '')
                    <a href="{{ route('guestwatchtvtrailer',$season->id)  }}" class="watch-trailer-btn iframe btn btn-default">{{__('staticwords.watchtrailer')}}</a>
                  @endif
                @endif
                @if($catlog == 0 && getSubscription()->getData()->subscribed == true)
                  @if (isset($wishlist_check->added))
                    <!-- <a onclick="addWish({{$season->id}},'{{$season->type}}')" class="watch-trailer-btn addwishlistbtn{{$season->id}}{{$season->type}} btn-default">{{$wishlist_check->added == 1 ? __('staticwords.removefromwatchlist') : __('staticwords.addtowatchlist')}}</a> -->
                  @else
                    <!-- <a onclick="addWish({{$season->id}},'{{$season->type}}')" class="watch-trailer-btn addwishlistbtn{{$season->id}}{{$season->type}} btn-default">{{__('staticwords.addtowatchlist')}}</a> -->
                  @endif
                @elseif($catlog ==1 && $auth)
                  @if (isset($wishlist_check->added))
                    <!-- <a onclick="addWish({{$season->id}},'{{$season->type}}')" class="watch-trailer-btn addwishlistbtn{{$season->id}}{{$season->type}} btn-default">{{$wishlist_check->added == 1 ? __('staticwords.removefromwatchlist') : __('staticwords.addtowatchlist')}}</a> -->
                  @else
                    <!-- <a onclick="addWish({{$season->id}},'{{$season->type}}')" class="watch-trailer-btn addwishlistbtn{{$season->id}}{{$season->type}} btn-default">{{__('staticwords.addtowatchlist')}}</a> -->
                  @endif
                @endif
              </div>
                <p>
                  @if ($season->detail != null || $season->detail != '')
                    {{$season->detail}}
                  @else
                    {{$season->tvseries->detail}}
                  @endif
                </p>
              </div>
              <div class="screen-casting-dtl">
                <ul class="casting-headers">
                  @if (count($actors) > 0)
                    <li>{{__('staticwords.starring')}} : 
                       <span class="categories-count">
                          @for($i = 0; $i < count($actors); $i++)
                            @if($i == count($actors)-1)
                              <a href="{{url('video/detail/actor_search', trim($actors[$i]))}}">{{$actors[$i]}}</a>
                            @else
                              <a href="{{url('video/detail/actor_search', trim($actors[$i]))}}">{{$actors[$i]}}</a>,
                            @endif
                          @endfor
                       </span>
                    </li>
                  @endif
                  @if (count($genres) > 0)
                    <li>{{__('staticwords.genres')}} : 
                       <span class="categories-count">
                          @for($i = 0; $i < count($genres); $i++)
                            @if($i == count($genres)-1)
                              <a href="{{url('video/detail/genre_search', trim($genres[$i]))}}">{{$genres[$i]}}</a>
                            @else
                              <a href="{{url('video/detail/genre_search', trim($genres[$i]))}}">{{$genres[$i]}}</a>,
                            @endif
                          @endfor
                       </span>
                    </li>
                  @endif

                  @if($season->a_language != null && isset($a_languages))
                    <li>{{__('staticwords.audiolanguage')}} : 
                       <span class="categories-count">
                          @for($i = 0; $i < count($a_languages); $i++)
                            @if($i == count($a_languages)-1)
                              {{$a_languages[$i]}}
                            @else
                              {{$a_languages[$i]}},
                            @endif
                          @endfor
                       </span>
                    </li>
                  @endif
                </ul>
              </div>
               
             
            </div>
            @if($button->remove_thumbnail == 0)
              @php
                  
                if($season->thumbnail){
                $content = @file_get_contents(public_path() . '/images/tvseries/thumbnails/' . $season->thumbnail);
                  if($content){
                    $image = 'images/tvseries/thumbnails/'.$season->thumbnail;
                  }else{
                    $image = 'images/default-thumbnail.jpg';
                  }
                
                }elseif($season->tvseries->thumbnail){
                  $content = @file_get_contents(public_path() . '/images/tvseries/thumbnails/' . $season->tvseries->thumbnail);
                  if($content){
                    $image = 'images/tvseries/thumbnails/'.$season->tvseries->thumbnail;
                  }else{
                    $image = 'images/default-thumbnail.jpg';
                  }
                  
                }else{
                  $image = 'images/default-thumbnail.jpg';
                }
                //$image = 'images/tvseries/thumbnails/'.$item->thumbnail;
                // Read image path, convert to base64 encoding
                
                $imageData = base64_encode(@file_get_contents($image));
                if($imageData){
                    $src = 'data: '.mime_content_type($image).';base64,'.$imageData;
                }
                          
              @endphp
            <div class="col-md-4">
              <div id="poster-thumbnail" class="poster-thumbnail-block home-prime-slider">
                @if($src != null)
                  <img data-src="{{$src}}" class="img-responsive lazy" alt="genre-image">
                @endif
               
              </div>
            </div>
            @endif
          </div>
        @endif
      </div>
    </div>
    <!-- movie series -->
    @if(isset($movie->movie_series) && $movie->series != 1)
      @if(count($movie->movie_series) > 0)
        <div class="container-fluid movie-series-section search-section">
          <h5 class="movie-series-heading">{{count($movie->movie_series)}} Series </h5>
          <div>
            @foreach($movie->movie_series as $series)
              @php
                $single_series = \App\Movie::where('id', $series->series_movie_id)->first();
               if(isset($auth)){
              
                $wishlist_check = \Illuminate\Support\Facades\DB::table('wishlists')->where([
                                                                            ['user_id', '=', $auth->id],
                                                                            ['movie_id', '=', $single_series->id],
                                                                           ])->first();
                                                                         }
                if($single_series->thumbnail != NULL){
                  $content = @file_get_contents(public_path() . 'images/movies/thumbnails/' . $single_series->thumbnail);
                  if($content){
                    $image = 'images/movies/thumbnails/'.$single_series->thumbnail;
                  }else{
                      $image = 'images/default-thumbnail.jpg';
                    }
                }else{
                  $image = 'images/default-thumbnail.jpg';
                }
                //$image = 'images/tvseries/thumbnails/'.$item->thumbnail;
                // Read image path, convert to base64 encoding
                
                $imageData = base64_encode(@file_get_contents($image));
                if($imageData){
                    $src = 'data: '.mime_content_type($image).';base64,'.$imageData;
                }
              @endphp
              <div class="movie-series-block movie-section">
                <div class="row">
                  <div class="col-lg-2">
                    <div class="movie-series-img home-prime-slider">
                      @if($src != null || $src != '')
                        <img src="{{$src}}" class="img-responsive" alt="genre-image">
                      @endif
                     
                    </div>
                  </div>
                  <div class="col-lg-10">
                    <div class="movie-series-section">
                      <div class="row">
                        <div class="col-lg-8"> 
                          @if($auth && getSubscription()->getData()->subscribed == true)
                            <h5 class="movie-series-heading movie-series-name"><a href="{{url('movie/detail', $single_series->slug)}}">{{$single_series->title}}</a></h5>
                          @else
                            <h5 class="movie-series-heading movie-series-name"><a href="{{url('movie/guest/detail', $single_series->slug)}}">{{$single_series->title}}</a></h5>
                          @endif
                        </div>
                        <div class="col-lg-4">
                          <ul class="movie-series-des-list">
                            <li>{{$single_series->duration}} {{__('staticwords.mins')}}</li>
                          </ul>
                        </div>
                      </div>
                      <p>
                        {{str_limit($single_series->detail,360)}}
                        @if($auth && getSubscription()->getData()->subscribed == true)
                          <a href="{{url('movie/detail', $single_series->slug)}}">{{__('staticwords.readmore')}}</a>
                        @else
                          <a href="{{url('movie/guest/detail', $single_series->slug)}}">{{__('staticwords.readmore')}}</a>
                        @endif
                      </p>
                     
                    <div class="des-btn-block des-in-list">
                    @if($auth && getSubscription()->getData()->subscribed == true && checkInMovie($single_series) == true)
                    @if(isset($single_series) && $single_series->is_upcoming != 1)
                      @if($single_series->maturity_rating == 'all age' || $age>=str_replace('+', '',$single_series->maturity_rating))
                        @if(isset($single_series->video_link['iframeurl']) && $single_series->video_link['iframeurl'] != null)
                          
                          <a href="{{route('watchmovieiframe',$single_series->id)}}"class="btn btn-play iframe"><span class="play-btn-icon"><i class="fa fa-play"></i></span> <span class="play-text">{{__('staticwords.playnow')}}</span>
                           </a>
                 
                        @else

                          <a href="{{route('watchmovie',$single_series->id)}}" class="watch-trailer-btn iframe btn btn-play"><span class="play-btn-icon"><i class="fa fa-play"></i></span> <span class="play-text">{{__('staticwords.playnow')}}</span>
                            </a>
                            
                        @endif
                      @else

                        <a onclick="myage({{$age}})"  class="watch-trailer-btn btn btn-play"><span class="play-btn-icon"><i class="fa fa-play"></i></span> <span class="play-text">{{__('staticwords.playnow')}}</span>
                        </a>
                        
                      @endif
                    @endif
                      @if($single_series->trailer_url != null || $single_series->trailer_url != '')
                        <a href="{{ route('watchTrailer',$single_series->id)  }}" class="iframe btn btn-default">{{__('staticwords.watchtrailer')}}</a>
                      @endif
                    @else
                       @if($single_series->trailer_url != null || $single_series->trailer_url != '')
                        <a href="{{ route('guestwatchtrailer',$single_series->id)  }}" class="iframe btn btn-default">{{__('staticwords.watchtrailer')}}</a>
                      @endif
                    @endif
                    @if($catlog ==0 && getSubscription()->getData()->subscribed == true)
                      @if (isset($wishlist_check->added))
                        <!-- <a onclick="addWish({{$single_series->id}},'{{$single_series->type}}')" class="addwishlistbtn{{$single_series->id}}{{$single_series->type}} btn-default">{{$wishlist_check->added == 1 ? __('staticwords.removefromwatchlist') : __('staticwords.addtowatchlist')}}</a> -->
                      @else
                        <!-- <a onclick="addWish({{$single_series->id}},'{{$single_series->type}}')" class="addwishlistbtn{{$single_series->id}}{{$single_series->type}} btn-default">{{__('staticwords.addtowatchlist')}}</a> -->
                      @endif
                    @elseif($catlog ==1 && $auth)
                      @if (isset($wishlist_check->added))
                        <!-- <a onclick="addWish({{$single_series->id}},'{{$single_series->type}}')" class="addwishlistbtn{{$single_series->id}}{{$single_series->type}} btn-default">{{$wishlist_check->added == 1 ? __('staticwords.removefromwatchlist') : __('staticwords.addtowatchlist')}}</a> -->
                      @else
                        <!-- <a onclick="addWish({{$single_series->id}},'{{$single_series->type}}')" class="addwishlistbtn{{$single_series->id}}{{$single_series->type}} btn-default">{{__('staticwords.addtowatchlist')}}</a> -->
                      @endif
                    @endif
                     
                    @php
                     $mlc = array();
                      if(isset($single_series->multilinks)){
                        foreach ($single_series->multilinks as $key => $value) {
                           if($value->download == 1){
                            $mlc[] = 1;
                           }else{
                              $mlc[] = 0;
                           }
                        }
                      }
                    @endphp

                    @if(isset($single_series->multilinks) && count($single_series->multilinks) > 0 )   
                      @if(Auth::user() && getSubscription()->getData()->subscribed == true)
                        @if(in_array(1, $mlc))
                           <button type="button" class="btn btn-sm btn-default watch-trailer-btn download-btn" data-toggle="collapse" data-target="#downloadmovie">{{__('staticwords.download')}}</button>

                          <div id="downloadmovie" class="collapse">
                            <table  class=" text-center table table-bordered table-responsive detail-multiple-link">
                              <thead>
                                <th align="center">#</th>
                                <th align="center">{{__('staticwords.download')}}</th>
                                <th align="center">{{__('staticwords.quality')}}</th>
                                <th align="center">{{__('staticwords.size')}}</th>
                                <th align="center">{{__('staticwords.language')}}</th>
                                <th align="center">{{__('staticwords.clicks')}}</th>
                                <th align="center">{{__('staticwords.user')}}</th>
                                <th align="center">{{__('staticwords.added')}}</th>
                              </thead>
                         
                              <tbody>
                                
                               @foreach($single_series->multilinks as $key=> $link)
                                
                                  @if($link->download == 1)
                                    <tr>

                                      @php
                                    
                                        $lang = App\AudioLanguage::where('id',$link->language)->first();
                                      @endphp

                                      <td align="center">{{$key+1}}</td>
                                      <td align="center"><a data-id="{{$link->id}}" class="download btn btn-sm btn-success" title="{{__('staticwords.download')}}" href="{{$link->url}}" ><i class="fa fa-download"></i></td>
                                      <td align="center">{{$link->quality}}</td>
                                      <td align="center">{{$link->size}}</td>
                                      <td align="center">@if(isset($lang)){{$lang->language}}@endif</td>
                                      <td>{{$link->clicks}}</td>
                                      <td align="center">{{$link->movie->user->name}}</td>
                                      <td align="center">{{date('Y-m-d',strtotime($link->created_at))}}</td>
                                     
                                      
                                    </tr>

                                  @endif

                                @endforeach
                              
                              </tbody>
                              
                            </table>
                          </div>
                        @endif
                      @endif
                    @endif
                  </div>
                </div>
              </div>
            @endforeach
          </div>
        </div>
      @endif
    @endif
    @if(isset($filter_series) && $movie->series == 1)
      @if(count($filter_series) > 0)
        <div class="container-fluid movie-series-section search-section">
          <h5 class="movie-series-heading">SEries{{count($filter_series)}}</h5>
          <div>
            @foreach($filter_series as $key => $series)
              @php
               if(isset($auth)){
                $wishlist_check = \Illuminate\Support\Facades\DB::table('wishlists')->where([
                                                                            ['user_id', '=', $auth->id],
                                                                            ['movie_id', '=', $series->id],
                                                                           ])->first();
                                                                     }
                if($series->thumbnail != NULL){
                    $content = @file_get_contents(public_path() . 'images/movies/thumbnails/' . $series->thumbnail);
                      if($content){
                        $image = 'images/movies/thumbnails/'.$series->thumbnail;
                      }else{
                          $image = 'images/default-thumbnail.jpg';
                        }
                }else{
                  $image = 'images/default-thumbnail.jpg';
                }
                  //$image = 'images/tvseries/thumbnails/'.$item->thumbnail;
                  // Read image path, convert to base64 encoding
                
                $imageData = base64_encode(@file_get_contents($image));
                if($imageData){
                    $src = 'data: '.mime_content_type($image).';base64,'.$imageData;
                }
              @endphp
              <div class="movie-series-block movie-section">
                <div class="row">
                  <div class="col-lg-2">
                    <div class="movie-series-img home-prime-slider">
                      @if($src != null)
                        <img src="{{$src}}" class="img-responsive" alt="genre-image">
                      @endif
                    
                    </div>
                  </div>
                  <div class="col-lg-10">
                    <div class="movie-series-section">
                      <div class="row">
                        <div class="col-lg-8"> 
                          @if($auth && getSubscription()->getData()->subscribed == true)
                            <h5 class="movie-series-heading movie-series-name"><a href="{{url('movie/detail', $series->slug)}}">{{$series->title}}</a></h5>
                          @else
                            <h5 class="movie-series-heading movie-series-name"><a href="{{url('movie/guest/detail', $series->slug)}}">{{$series->title}}</a></h5>
                          @endif
                        </div>
                        <div class="col-lg-4">
                          <ul class="movie-series-des-list">
                            
                            <li>{{$series->duration}} {{__('staticwords.mins')}}</li>
                          </ul>
                        </div>
                      </div>
                      <p>
                        {{str_limit($series->detail,360)}}
                        @if($auth && getSubscription()->getData()->subscribed == true)
                          <a href="{{url('movie/detail', $series->slug)}}">{{__('staticwords.readmore')}}</a>
                        @else
                          <a href="{{url('movie/guest/detail', $series->slug)}}">{{__('staticwords.readmore')}}</a>
                        @endif
                      </p>
                     
                    <div class="des-btn-block des-in-list">
                      @if($auth && getSubscription()->getData()->subscribed == true && checkInMovie($series) == true)
                      @if(isset($series) && $series->is_upcoming != 1)
                        @if($series->maturity_rating == 'all age' || $age>=str_replace('+', '',$series->maturity_rating))
                          @if(isset($series->video_link['iframeurl']) && $series->video_link['iframeurl'] != null)
                            
                            <a href="{{route('watchmovieiframe',$series->id)}}"class="btn btn-play iframe"><span class="play-btn-icon"><i class="fa fa-play"></i></span> <span class="play-text">{{__('staticwords.playnow')}}</span>
                             </a>
                   
                          @else

                            <a href="{{route('watchmovie',$series->id)}}" class="iframe watch-trailer-btn btn btn-play"><span class="play-btn-icon"><i class="fa fa-play"></i></span> <span class="play-text">{{__('staticwords.playnow')}}</span>
                              </a>
                              
                          @endif
                        @else

                          <a onclick="myage({{$age}})"  class=" btn btn-play"><span class="play-btn-icon"><i class="fa fa-play"></i></span> <span class="play-text">{{__('staticwords.playnow')}}</span>
                          </a>
                          
                        @endif
                        @endif
                        @if($series->trailer_url != null || $series->trailer_url != '')
                          <a href="{{ route('watchTrailer',$series->id)  }}" class="iframe watch-trailer-btn btn btn-default">{{__('staticwords.watchtrailer')}}</a>
                        @endif
                      @else
                         @if($series->trailer_url != null || $series->trailer_url != '')
                          <a href="{{ route('guestwatchtrailer',$series->id)  }}" class="iframe watch-trailer-btn btn btn-default">{{__('staticwords.watchtrailer')}}</a>
                        @endif
                      @endif
                      @if($catlog ==0 && getSubscription()->getData()->subscribed == true)
                        @if (isset($wishlist_check->added))
                          <!-- <a onclick="addWish({{$series->id}},'{{$series->type}}')" class="watch-trailer-btn addwishlistbtn{{$series->id}}{{$series->type}} btn-default">{{$wishlist_check->added == 1 ? __('staticwords.removefromwatchlist') : __('staticwords.addtowatchlist')}}</a> -->
                        @else
                          <!-- <a onclick="addWish({{$series->id}},'{{$series->type}}')" class="watch-trailer-btn addwishlistbtn{{$series->id}}{{$series->type}} btn-default">{{__('staticwords.addtowatchlist')}}</a> -->
                        @endif
                      @elseif($catlog ==1 && $auth)
                        @if (isset($wishlist_check->added))
                          <!-- <a onclick="addWish({{$series->id}},'{{$series->type}}')" class="watch-trailer-btn addwishlistbtn{{$series->id}}{{$series->type}} btn-default">{{$wishlist_check->added == 1 ? __('staticwords.removefromwatchlist') : __('staticwords.addtowatchlist')}}</a> -->
                        @else
                          <!-- <a onclick="addWish({{$series->id}},'{{$series->type}}')" class="watch-trailer-btn addwishlistbtn{{$series->id}}{{$series->type}} btn-default">{{__('staticwords.addtowatchlist')}}</a> -->
                        @endif
                      @endif
                       
                      @php
                       $mlc = array();
                        if(isset($series->multilinks)){
                          foreach ($series->multilinks as $key => $value) {
                             if($value->download == 1){
                              $mlc[] = 1;
                             }else{
                                $mlc[] = 0;
                             }
                          }
                        }
                      @endphp

                      @if(isset($series->multilinks) && count($series->multilinks) > 0 )   
                        @if(Auth::user() && getSubscription()->getData()->subscribed == true)
                          @if(in_array(1, $mlc))
                             <button type="button" class="btn btn-sm btn-default watch-trailer-btn download-btn" data-toggle="collapse" data-target="#downloadmovie">{{__('staticwords.download')}}</button>

                            <div id="downloadmovie" class="collapse">
                              <table  class=" text-center table table-bordered table-responsive detail-multiple-link">
                                <thead>
                                  <th align="center">#</th>
                                  <th align="center">{{__('staticwords.download')}}</th>
                                  <th align="center">{{__('staticwords.quality')}}</th>
                                  <th align="center">{{__('staticwords.size')}}</th>
                                  <th align="center">{{__('staticwords.language')}}</th>
                                  <th align="center">{{__('staticwords.clicks')}}</th>
                                  <th align="center">{{__('staticwords.user')}}</th>
                                  <th align="center">{{__('staticwords.added')}}</th>
                                </thead>
                           
                                <tbody>
                                  
                                 @foreach($series->multilinks as $key=> $link)
                                  
                                    @if($link->download == 1)
                                      <tr>

                                        @php
                                      
                                          $lang = App\AudioLanguage::where('id',$link->language)->first();
                                        @endphp

                                        <td align="center">{{$key+1}}</td>
                                        <td align="center"><a data-id="{{$link->id}}" class="download btn btn-sm btn-success" title="{{__('staticwords.download')}}" href="{{$link->url}}" ><i class="fa fa-download"></i></td>
                                        <td align="center">{{$link->quality}}</td>
                                        <td align="center">{{$link->size}}</td>
                                        <td align="center">@if(isset($lang)){{$lang->language}}@endif</td>
                                        <td>{{$link->clicks}}</td>
                                        <td align="center">{{$link->movie->user->name}}</td>
                                        <td align="center">{{date('Y-m-d',strtotime($link->created_at))}}</td>
                                       
                                        
                                      </tr>

                                    @endif

                                  @endforeach
                                
                                </tbody>
                                
                              </table>
                            </div>
                          @endif
                        @endif
                      @endif
                    </div>
                  </div>
                </div>
              </div>
            @endforeach
          </div>
        </div>
      @endif
    @endif
    <br/>
    <!-- end movie series -->

    <!-- episodes -->
    @if(isset($season->episodes))
      @if(count($season->episodes) > 0)
        <div class="container-fluid movie-series-section search-section">
          <h5 class="movie-series-heading">{{__('staticwords.episodes')}} {{count($season->episodes)}}</h5>
          <div>
            @foreach($season->episodes as $key => $episode)
              @php
                if($episode->thumbnail != NULL){
                  $content = @file_get_contents(public_path() . '/images/tvseries/episodes/' . $episode->thumbnail);
                    if($content){
                      $image = 'images/tvseries/episodes/'.$episode->thumbnail;
                    }else{
                        $image = 'images/default-thumbnail.jpg';
                      }
                }else{
                  $image = 'images/default-thumbnail.jpg';
                }
                    //$image = 'images/tvseries/thumbnails/'.$item->thumbnail;
                    // Read image path, convert to base64 encoding
                  
                $imageData = base64_encode(@file_get_contents($image));
                if($imageData){
                    $src = 'data: '.mime_content_type($image).';base64,'.$imageData;
                }
              @endphp
              <div class="movie-series-block movie-section">
                <div  class="row">
                  <div class="col-lg-2">
                    <div class="movie-series-img home-prime-slider">
                      @if(src != null)
                        <img data-src="{{$src}}" class="img-responsive lazy" alt="genre-image">
                      @endif
                     
                    </div>
                  </div>
                   
                  <div class="col-lg-10">
                     <div class="movie-series-section">
                      <div class="row">
                        <div class="col-lg-8"> 
                          @if($auth && getSubscription()->getData()->subscribed == true && checkInTvseries($episode->seasons->tvseries) == true)
                            @if($episode->seasons->tvseries->maturity_rating =='all age' || $age>=str_replace('+', '',$episode->seasons->tvseries->maturity_rating))
                              @if($episode->video_link['iframeurl'] !="")
                                 <a onclick="playoniframe('{{ $episode->video_link['iframeurl'] }}','{{ $episode->seasons->tvseries->id }}','tv')" class="btn btn-play btn-sm-play"><span class="play-btn-icon"><i class="fa fa-play"></i></span> <span class="play-text"><h5 class="movie-series-heading movie-series-name">{{$key+1}}. {{$episode->title}}</h5></span></a>
                              @else
                                 <a href="{{ route('watch.Episode', $episode->id) }}" class="iframe watch-trailer-btn btn btn-play btn-sm-play"><span class="play-btn-icon"><i class="fa fa-play"></i></span> <span class="play-text"><h5 class="movie-series-heading movie-series-name">{{$key+1}}. {{$episode->title}}</h5></span></a>
                              @endif
                            @else
                              <a onclick="myage({{$age}})" class="btn btn-play watch-trailer-btn btn-sm-play"><span class="play-btn-icon"><i class="fa fa-play"></i></span> <span class="play-text"><h5 class="movie-series-heading movie-series-name">{{$key+1}}. {{$episode->title}}</h5></span></a>
                            @endif
                          @else
                            <h5 class="movie-series-heading movie-series-name">{{$key+1}}. {{$episode->title}}</h5>
                          @endif
                        </div>
                        <div class="col-lg-4">
                          @if(isset($episode->duration) && $episode->duration != '')
                          <ul class="movie-series-des-list">
                            <li>{{$episode->duration}} {{__('staticwords.mins')}}</li>
                          </ul>
                          @endif
                        </div>
                      </div>
                    
                      <p>
                        {{$episode->detail}}
                      </p>
                   
                        

                      @php
                         $elc = array();
                        if(isset($episode->multilinks)){
                          foreach ($episode->multilinks as $key => $value) {
                             if($value->download == 1){
                              $elc[] = 1;
                             }else{
                                $elc[] = 0;
                             }
                          }
                        }
                      @endphp
                      @if(isset($episode->multilinks) &&  count($episode->multilinks) >0)
                        @if(Auth::user() && getSubscription()->getData()->subscribed == true)
                          @if(in_array(1, $elc))

                           <button type="button" class="btn-default watch-trailer-btn" data-toggle="collapse" data-target="#downloadtvseries">{{__('staticwords.download')}}</button>

                          <div id="downloadtvseries" class="collapse">
                            <br/>
                            <table   class=" text-center table table-bordered table-responsive detail-multiple-link">
                              <thead>
                                <th align="center">#</th>
                                <th align="center">{{__('staticwords.download')}}</th>
                                <th align="center">{{__('staticwords.quality')}}</th>
                                <th align="center">{{__('staticwords.size')}}</th>
                                <th align="center">{{__('staticwords.language')}}</th>
                                <th align="center">{{__('staticwords.clicks')}}</th>
                                <th align="center">{{__('staticwords.user')}}</th>
                                <th align="center">{{__('staticwords.added')}}</th>
                              </thead>
                         
                              <tbody>
                              
                                @foreach($episode->multilinks as $key=> $link)
                                 
                                  @if($link->download == 1)
                                  <tr>
                                     @php
                                  
                                    $lang = App\AudioLanguage::where('id',$link->language)->first();
                                  @endphp

                                    <td align="center">{{$key+1}}</td>
                                    <td align="center"><a data-id="{{$link->id}}" class="download btn btn-sm btn-success" title="download" href="{{$link->url}}" ><i class="fa fa-download"></i></td>
                                    <td align="center">{{$link->quality}}</td>
                                    <td align="center">{{$link->size}}</td>
                                    <td align="center">@if(isset($lang)){{$lang->language}}@endif</td>
                                    <td>{{$link->clicks}}</td>
                                    <td align="center">{{$link->episode->seasons->tvseries->user->name}}</td>
                                    <td align="center">{{date('Y-m-d',strtotime($link->created_at))}}</td>
                                   
                                    
                                  </tr>
                                  @endif
                                @endforeach
                            
                              </tbody>
                            
                            </table>
                          </div>
                 
                          @endif
                        @endif
                      @endif 
                    </div>
                  </div>
                </div>
              </div>

            @endforeach
          </div>
        </div>
      @endif
    @endif
</section>
<br/>
                        

    <!-- end episodes -->
  @if($prime_genre_slider == 1)
      @php
        $all = collect();
        $all_fil_movies = App\Movie::all();
        $all_fil_tv = App\TvSeries::all();
        if (isset($movie)) {
          $genres = explode(',', $movie->genre_id);
        } elseif (isset($season)) {
          $genres = explode(',', $season->tvseries->genre_id);
        }
        for($i = 0; $i < count($genres); $i++) {
          foreach ($all_fil_movies as $fil_movie) {
            $fil_genre_item = explode(',', trim($fil_movie->genre_id));
            for ($k=0; $k < count($fil_genre_item); $k++) {
              if (trim($fil_genre_item[$k]) == trim($genres[$i])) {
                if (isset($movie)) {
                  if ($fil_movie->id != $movie->id) {
                    $all->push($fil_movie);
                  }
                } else {
                  $all->push($fil_movie);
                }
              }
            }
          }
        }
        if (isset($movie)) {
          $all = $all->except($movie->id);
        }

        for($i = 0; $i < count($genres); $i++) {
          foreach ($all_fil_tv as $fil_tv) {
            $fil_genre_item = explode(',', trim($fil_tv->genre_id));
            for ($k=0; $k < count($fil_genre_item); $k++) {
              if (trim($fil_genre_item[$k]) == trim($genres[$i])) {
                $fil_tv = $fil_tv->seasons;
                if (isset($season)) {
                  $all->push($fil_tv->except($season->id));
                } else {
                  $all->push($fil_tv);
                }
              }
            }
          }
        }
        $all = $all->unique();
        $all = $all->flatten();
      @endphp
      @if (isset($all) && count($all) > 0)
        <div class="genre-prime-block">
          <div class="container-fluid">
            <h5 class="section-heading">{{__('staticwords.customeralsowatched')}}</h5>
            <div class="genre-prime-slider owl-carousel">
              @if(isset($all))
                @foreach($all as $key => $item)
                  @php
                   if(isset($auth)){
                    if ($item->type == 'S') {
                       $wishlist_check = \Illuminate\Support\Facades\DB::table('wishlists')->where([
                                                                        ['user_id', '=', $auth->id],
                                                                        ['season_id', '=', $item->id],
                                                                       ])->first();
                    } elseif ($item->type == 'M') {
                      $wishlist_check = \Illuminate\Support\Facades\DB::table('wishlists')->where([
                                                                        ['user_id', '=', $auth->id],
                                                                        ['movie_id', '=', $item->id],
                                                                       ])->first();
                    }

                  }
                  @endphp
                  @if($item->type == 'M')
                    @if(isset($movie))
                    <div class="genre-prime-slide owls-item">
                      <div class="genre-slide-image home-prime-slider protip" data-pt-placement="outside" data-pt-title="#prime-mix-description-block{{$item->id}}">
                        @if($auth && getSubscription()->getData()->subscribed == true)
                          <a href="{{url('movie/detail/'.$item->slug)}}">
                            @if($item->thumbnail != null)
                              <img data-src="{{url('images/movies/thumbnails/'.$item->thumbnail)}}" class="img-responsive owl-lazy" alt="genre-image">
                            @else
                               <img data-src="{{url('images/default-thumbnail.jpg')}}" class="img-responsive owl-lazy" alt="genre-image">
                            @endif
                          </a>
                          @else
                           <a href="{{url('movie/guest/detail/'.$item->slug)}}">
                            @if($item->thumbnail != null)
                              <img data-src="{{url('images/movies/thumbnails/'.$item->thumbnail)}}" class="img-responsive owl-lazy" alt="genre-image">
                            @else
                              <img data-src="{{url('images/default-thumbnail.jpg')}}" class="img-responsive owl-lazy" alt="genre-image">
                            @endif
                          </a>
                          
                        @endif
                        @if($item->is_custom_label == 1)
                          @if(isset($item->label_id))
                            <span class="badge bg-success">{{$item->label->name}}</span>
                          @endif
                        @else

                         @if(isset($item->is_upcoming) && $item->is_upcoming == 1)
                            <span class="badge bg-success">{{__('Upcoming')}}</span>
                          @endif
                        @endif
                      </div>
                      <div id="prime-mix-description-block{{$item->id}}" class="prime-description-block">
                        <h5 class="description-heading">{{$item->title}}</h5>
                        
                        <ul class="description-list">
                          <li>{{__('staticwords.tmdbrating')}} {{$item->rating}}</li>
                          <li>{{$item->duration}} {{__('staticwords.mins')}}</li>
                          <li>{{$item->publish_year}}</li>
                          <li>{{$item->maturity_rating}}</li>
                          @if($item->subtitle == 1)
                            <li>CC</li>
                            <li>
                             {{__('staticwords.subtitles')}}
                            </li>
                          @endif
                        </ul>
                        <div class="main-des">
                          <p>{{str_limit($item->detail,100,'...')}}</p>
                          @if($auth && getSubscription()->getData()->subscribed == true)
                            <a href="{{url('movie/detail',$item->slug)}}">{{__('staticwords.readmore')}}</a>
                          @else
                            <a href="{{url('movie/guest/detail',$item->slug)}}">{{__('staticwords.readmore')}}</a>
                          @endif
                        </div>
                        <div class="des-btn-block">
                          @if($auth  && getSubscription()->getData()->subscribed == true && checkInMovie($item) == true)
                            @if(isset($item) && $item->is_upcoming != 1)
                              @if($item->maturity_rating =='all age' || $age>=str_replace('+', '',$item->maturity_rating))

                                @if(isset($item->video_link['iframeurl']) && $item->video_link['iframeurl'] != null)
                            
                                  <a href="{{route('watchmovieiframe',$item->id)}}"class="btn btn-play iframe"><span class="play-btn-icon"><i class="fa fa-play"></i></span> <span class="play-text">{{__('staticwords.playnow')}}</span>
                                  </a>

                                @else 
                                  <a href="{{ route('watchmovie',$item->id) }}" class="iframe btn btn-play"><span class="play-btn-icon"><i class="fa fa-play"></i></span> <span class="play-text">{{__('staticwords.playnow')}}</span></a>
                                @endif
                              @else
                                <a onclick="myage({{$age}})" class="btn btn-play"><span class="play-btn-icon"><i class="fa fa-play"></i></span> <span class="play-text">{{__('staticwords.playnow')}}</span>
                                  </a>
                              @endif
                            @endif
                            @if($item->trailer_url != null || $item->trailer_url != '')
                              <a href="{{ route('watchTrailer',$item->id) }}" class="watch-trailer-btn iframe btn-default">{{__('staticwords.watchtrailer')}}</a>
                            @endif
                          @else
                            @if($item->trailer_url != null || $item->trailer_url != '')
                              <a href="{{ route('guestwatchtrailer',$item->id) }}" class="watch-trailer-btn iframe btn-default">{{__('staticwords.watchtrailer')}}</a>
                            @endif
                          @endif

                          @if($catlog ==0 && getSubscription()->getData()->subscribed == true)
                        
                            @if (isset($wishlist_check->added))
                              <!-- <a onclick="addWish({{$item->id}},'{{$item->type}}')" class="watch-trailer-btn addwishlistbtn{{$item->id}}{{$item->type}} btn-default">{{$wishlist_check->added == 1 ? __('staticwords.removefromwatchlist') : __('staticwords.addtowatchlist')}}</a> -->
                            @else
                              <!-- <a onclick="addWish({{$item->id}},'{{$item->type}}')" class="watch-trailer-btn addwishlistbtn{{$item->id}}{{$item->type}} btn-default">{{__('staticwords.addtowatchlist')}}</a> -->
                            @endif
                          @elseif($catlog ==1 && $auth)
                            @if (isset($wishlist_check->added))
                              <!-- <a onclick="addWish({{$item->id}},'{{$item->type}}')" class="watch-trailer-btn addwishlistbtn{{$item->id}}{{$item->type}} btn-default">{{$wishlist_check->added == 1 ? __('staticwords.removefromwatchlist') : __('staticwords.addtowatchlist')}}</a> -->
                            @else
                              <!-- <a onclick="addWish({{$item->id}},'{{$item->type}}')" class="watch-trailer-btn addwishlistbtn{{$item->id}}{{$item->type}} btn-default">{{__('staticwords.addtowatchlist')}}</a> -->
                            @endif
                          @endif
                        </div>
                      </div>
                    </div>
                  @endif
                  @endif

                  @if($item->type == "S")
                    @if(!isset($movie))
                      @php
                        if($item->thumbnail){
                         $content = @file_get_contents(public_path() . '/images/tvseries/thumbnails/' . $item->thumbnail);
                          if($content){
                            $image = public_path() .'images/tvseries/thumbnails/'.$item->thumbnail;
                          }else{
                            $image = public_path() .'images/default-thumbnail.jpg';
                          }
                         
                        }elseif($item->tvseries->thumbnail){
                          $content = @file_get_contents(public_path() . '/images/tvseries/thumbnails/' . $item->tvseries->thumbnail);
                          if($content){
                            $image = public_path() .'images/tvseries/thumbnails/'.$item->tvseries->thumbnail;
                          }else{
                            $image = public_path() .'images/default-thumbnail.jpg';
                          }
                          
                        }else{
                          $image = public_path() .'images/default-thumbnail.jpg';
                        }
                        //$image = 'images/tvseries/thumbnails/'.$item->thumbnail;
                        // Read image path, convert to base64 encoding
                        
                        $imageData = base64_encode(@file_get_contents($image));
                        if($imageData){
                            $src = 'data: '.mime_content_type($image).';base64,'.$imageData;
                        }
                      @endphp
                    <div class="genre-prime-slide owls-item">
                      <div class="genre-slide-image home-prime-slider protip" data-pt-placement="outside" data-pt-title="#prime-mix-description-block{{$item->id}}{{$item->type}}">
                        @if($auth && getSubscription()->getData()->subscribed == true)
                          <a href="{{url('show/detail/'.$item->season_slug)}}">
                            @if($src != null)
                              <img data-src="{{$src}}" class="img-responsive owl-lazy" alt="genre-image">
                            @endif
                          </a>
                          @else
                          <a href="{{url('show/guest/detail/'.$item->season_slug)}}">
                            @if($item->thumbnail != null)
                              <img data-src="{{url('images/tvseries/thumbnails/'.$item->thumbnail)}}" class="img-responsive owl-lazy" alt="genre-image">
                            @elseif($item->tvseries->thumbnail != null)
                              <img data-src="{{url('images/tvseries/thumbnails/'.$item->tvseries->thumbnail)}}" class="img-responsive owl-lazy" alt="genre-image">
                            @else
                              <img data-src="{{url('images/default-thumbnail.jpg')}}" class="img-responsive owl-lazy" alt="genre-image">
                            @endif
                          </a>
                        @endif
                        @if($item->tvseries->is_custom_label == 1)
                          @if(isset($item->tvseries->label_id))
                            <span class="badge bg-success">{{$item->tvseries->label->name}}</span>
                          @endif
                        @endif
                      
                      </div>
                      <div id="prime-mix-description-block{{$item->id}}{{$item->type}}" class="prime-description-block">
                        <h5 class="description-heading">{{$item->tvseries->title}}</h5>
                        <div class="movie-rating">{{__('staticwords.tmdbrating')}} {{$item->tvseries->rating}}</div>
                        <ul class="description-list">
                          <li>{{__('Season')}} {{$item->season_no}}</li>
                          <li>{{$item->publish_year}}</li>
                          <li>{{$item->tvseries->age_req}}</li>
                         
                        </ul>
                        <div class="main-des">
                          @if ($item->detail != null || $item->detail != '')
                            <p>{{str_limit($item->detail,100,'...')}}</p>
                          @else
                            <p>{{str_limit($item->tvseries->detail,100,'...')}}</p>
                          @endif
                          @if($auth && getSubscription()->getData()->subscribed == true)
                            <a href="{{url('show/detail',$item->season_slug)}}">{{__('staticwords.readmore')}}</a>
                          @else
                            <a href="{{url('show/guest/detail',$item->season_slug)}}">{{__('staticwords.readmore')}}</a>
                          @endif
                        </div>
                        <div class="des-btn-block">
                          @if($auth && getSubscription()->getData()->subscribed == true)
                            @if(isset($item->episodes[0]) && checkInTvseries($item->tvseries) == true)
                              @if($item->tvseries->age_req =='all age' || $age>=str_replace('+', '',$item->tvseries->age_req))
                                @if($item->episodes[0]->video_link['iframeurl'] !="")

                                  <a href="#" onclick="playoniframe('{{ $item->episodes[0]->video_link['iframeurl'] }}','{{ $item->tvseries->id }}','tv')" class="btn btn-play"><span class="play-btn-icon"><i class="fa fa-play"></i></span> <span class="play-text">{{__('staticwords.playnow')}}</span>
                                   </a>
                                @else
                                  <a href="{{route('watchTvShow',$item->id)}}" class="iframe btn btn-play"><span class="play-btn-icon"><i class="fa fa-play"></i></span> <span class="play-text">{{__('staticwords.playnow')}}</span></a>
                                @endif
                              @else
                                <a onclick="myage({{$age}})" class="btn btn-play"><span class="play-btn-icon"><i class="fa fa-play"></i></span> <span class="play-text">{{__('staticwords.playnow')}}</span>
                                 </a>
                              @endif
                           @endif
                           @if($item->trailer_url != null || $item->trailer_url != '')
                              <a href="{{ route('watchtvTrailer',$item->id)  }}" class="watch-trailer-btn iframe btn btn-default">{{__('staticwords.watchtrailer')}}</a>
                            @endif
                          @else
                             @if($item->trailer_url != null || $item->trailer_url != '')
                              <a href="{{ route('guestwatchtvtrailer',$item->id)  }}" class="watch-trailer-btn iframe btn btn-default">{{__('staticwords.watchtrailer')}}</a>
                            @endif
                          @endif
                          @if($catlog ==0 && getSubscription()->getData()->subscribed == true)
                            @if (isset($wishlist_check->added))
                              <!-- <a onclick="addWish({{$item->id}},'{{$item->type}}')" class="watch-trailer-btn addwishlistbtn{{$item->id}}{{$item->type}} btn-default">{{$wishlist_check->added == 1 ? __('staticwords.removefromwatchlist') : __('addtowatchlist')}}</a> -->
                            @else
                              <!-- <a onclick="addWish({{$item->id}},'{{$item->type}}')" class="watch-trailer-btn addwishlistbtn{{$item->id}}{{$item->type}} btn-default">{{__('staticwords.addtowatchlist')}}</a> -->
                            @endif
                          @elseif($catlog ==1 && $auth)
                            @if (isset($wishlist_check->added))
                              <!-- <a onclick="addWish({{$item->id}},'{{$item->type}}')" class="watch-trailer-btn addwishlistbtn{{$item->id}}{{$item->type}} btn-default">{{$wishlist_check->added == 1 ? __('staticwords.removefromwatchlist') : __('addtowatchlist')}}</a> -->
                            @else
                              <!-- <a onclick="addWish({{$item->id}},'{{$item->type}}')" class="watch-trailer-btn addwishlistbtn{{$item->id}}{{$item->type}} btn-default">{{__('staticwords.addtowatchlist')}}</a> -->
                            @endif
                          @endif
                        </div>
                      </div>
                    </div>
                    @endif
                  @endif
                @endforeach
              @endif
            </div>
          </div>
        </div>
      @endif
    @else
      @php
        $all = collect();
        $all_fil_movies = App\Movie::all();
        $all_fil_tv = App\TvSeries::all();
        if (isset($movie)) {
          $genres = explode(',', $movie->genre_id);
        } elseif (isset($season)) {
          $genres = explode(',', $season->tvseries->genre_id);
        }
        for($i = 0; $i < count($genres); $i++) {
          foreach ($all_fil_movies as $fil_movie) {
            $fil_genre_item = explode(',', trim($fil_movie->genre_id));
            for ($k=0; $k < count($fil_genre_item); $k++) {
              if (trim($fil_genre_item[$k]) == trim($genres[$i])) {
                if (isset($movie)) {
                  if ($fil_movie->id != $movie->id) {
                    $all->push($fil_movie);
                  }
                } else {
                  $all->push($fil_movie);
                }
              }
            }
          }
        }
        if (isset($movie)) {
          $all = $all->except($movie->id);
        }

        for($i = 0; $i < count($genres); $i++) {
          foreach ($all_fil_tv as $fil_tv) {
            $fil_genre_item = explode(',', trim($fil_tv->genre_id));
            for ($k=0; $k < count($fil_genre_item); $k++) {
              if (trim($fil_genre_item[$k]) == trim($genres[$i])) {
                $fil_tv = $fil_tv->seasons;
                if (isset($season)) {
                  $all->push($fil_tv->except($season->id));
                } else {
                  $all->push($fil_tv);
                }
              }
            }
          }
        }
        $all = $all->unique();
        $all = $all->flatten();
      @endphp
      @if (isset($all) && count($all) > 0)
        <div class="genre-main-block">
          <div class="container-fluid">
            <div class="row">
              <div class="col-md-3">
                <div class="genre-dtl-block">
                  <h3 class="section-heading">{{__('staticwords.customeralsowatched')}}</h3>
                  <p class="section-dtl">{{__('staticwords.atthebigscreenathome')}}</p>
                </div>
              </div>
              <div class="col-md-9">
                <div class="genre-main-slider owl-carousel">
                  @if(isset($all))
                    @foreach($all as $key => $item)
                      @if($item->type == 'S')
                        <div class="genre-slide">
                          <div class="genre-slide-image home-prime-slider owls-item">
                            @php
                              if($item->thumbnail){
                              $content = @file_get_contents(public_path() . '/images/tvseries/thumbnails/' . $item->thumbnail);
                                if($content){
                                  $image = public_path() .'images/tvseries/thumbnails/'.$item->thumbnail;
                                }else{
                                  $image = public_path() .'images/default-thumbnail.jpg';
                                }
                              
                              }elseif($item->tvseries->thumbnail){
                                $content = @file_get_contents(public_path() . '/images/tvseries/thumbnails/' . $item->tvseries->thumbnail);
                                if($content){
                                  $image = public_path() .'images/tvseries/thumbnails/'.$item->tvseries->thumbnail;
                                }else{
                                  $image = public_path() .'images/default-thumbnail.jpg';
                                }
                                
                              }else{
                                $image = public_path() .'images/default-thumbnail.jpg';
                              }
                              //$image = 'images/tvseries/thumbnails/'.$item->thumbnail;
                              // Read image path, convert to base64 encoding
                              
                              $imageData = base64_encode(@file_get_contents($image));
                              if($imageData){
                                  $src = 'data: '.mime_content_type($image).';base64,'.$imageData;
                              }
                            @endphp
                           @if($auth && getSubscription()->getData()->subscribed == true)
                            <a href="{{url('show/detail/'.$item->season_slug)}}">
                              
                              <img data-src="{{$src}}" class="img-responsive owl-lazy" alt="genre-image">
                             
                            </a>

                            @else
                            <a href="{{url('show/guest/detail/'.$item->season_slug)}}">
                             
                              <img data-src="{{$src}}" class="img-responsive owl-lazy" alt="genre-image">
                             
                            </a>
                            @endif
                             @if($item->tvseries->is_custom_label == 1)
                              @if(isset($item->tvseries->label_id))
                                <span class="badge bg-success">{{$item->tvseries->label->name}}</span>
                              @endif
                            @endif
                         
                          </div>
                          <div class="genre-slide-dtl">
                            <h5 class="genre-dtl-heading">@if($auth && getSubscription()->getData()->subscribed == true)<a href="{{url('show/detail/'.$item->season_slug)}}">{{$item->tvseries->title}}</a>
                            @else
                            <a href="{{url('show/guest/detail/'.$item->season_slug)}}">{{$item->tvseries->title}}</a>
                          @endif</h5>
                            <div class="genre-small-info">{{$item->detail != null ? str_limit($item->detail,150,'...'): str_limit($item->tvseries->detail,150,'...')}}</div>
                          </div>
                        </div>
                      @elseif($item->type == 'M')
                        <div class="genre-slide">
                          <div class="genre-slide-image home-prime-slider owls-item">
                           @if($auth && getSubscription()->getData()->subscribed == true)
                            <a href="{{url('movie/detail/'.$item->slug)}}">
                              @if($item->thumbnail != null)
                                <img data-src="{{url('images/movies/thumbnails/'.$item->thumbnail)}}" class="img-responsive owl-lazy" alt="genre-image">
                              @endif
                            </a>
                            @else
                             <a href="{{url('movie/guest/detail/'.$item->slug)}}">
                              @if($item->thumbnail != null)
                                <img data-src="{{url('images/movies/thumbnails/'.$item->thumbnail)}}" class="img-responsive owl-lazy" alt="genre-image">
                              @endif
                            </a>
                            @endif
                            @if($item->is_custom_label == 1)
                              @if(isset($item->label_id))
                                <span class="badge bg-success">{{$item->label->name}}</span>
                              @endif
                            @else

                              @if(isset($item->is_upcoming) && $item->is_upcoming == 1)
                                <span class="badge bg-success">{{__('Upcoming')}}</span>
                              @endif
                            @endif
                            
                          </div>
                          <div class="genre-slide-dtl">
                            <h5 class="genre-dtl-heading">@if($auth && getSubscription()->getData()->subscribed == true)<a href="{{url('movie/detail/'.$item->slug)}}">{{$item->title}}</a>
                            @else
                            <a href="{{url('movie/guest/detail/'.$item->slug)}}">{{$item->title}}</a>
                          @endif</h5>
                          <div class="genre-small-info">{{$item->detail != null ? str_limit($item->detail,150, '...') :''}}</div>
                          </div>
                        </div>
                      @endif
                    @endforeach
                  @endif
                </div>
              </div>
            </div>
          </div>
        </div>
      @endif
    @endif


     <!-- Share Modal -->
      <div class="modal fade" id="sharemodal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
        <div class="modal-dialog" role="document">
          <div class="modal-content">
            <div class="modal-header">
              <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
              <h4 class="modal-title" id="myModalLabel">{{__('staticwords.shareiton')}}</h4>
            </div>
            
            <div class="text-center modal-body">
              @php
                echo Share::currentPage(null,[],'<div class="row">', '</div>')
                ->facebook()
                ->twitter()
                ->telegram()
                ->whatsapp();
              @endphp
            </div>
           
          </div>
        </div>
      </div>
  </section>



@endsection

@section('custom-script')
  
  
  <script>
    // Wishlist Js ( using Vuejs 2 )
    var app = new Vue({
      el: '#wishlistelement',
      data: {
        result: {
          id: '',
          type: '',
        },
      },
      methods: {
        addToWishList(id, type) {
          this.result.id = id;
          this.result.type = type;
          this.$http.post('{{route('addtowishlist')}}', this.result).then((response) => {
          }).catch((e) => {
            console.log(e);
          });
          this.result.item_id = '';
          this.result.item_type = '';
        }
      }
    });


    function addWish(id, type) {
      app.addToWishList(id, type);
      setTimeout(function() {
        $('.addwishlistbtn'+id+type).text(function(i, text){
          return text == "{{__('staticwords.addtowatchlist')}}" ? "{{__('staticwords.removefromwatchlist')}}" : "{{__('staticwords.addtowatchlist')}}";
        });
      }, 100);
    }
  </script>

  <script>
      $(document).ready(function(){

        
        $(".group1").colorbox({rel:'group1'});
        $(".group2").colorbox({rel:'group2', transition:"fade"});
        $(".group3").colorbox({rel:'group3', transition:"none", width:"75%", height:"75%"});
        $(".group4").colorbox({rel:'group4', slideshow:true});
        $(".ajax").colorbox();
        $(".youtube").colorbox({iframe:true, innerWidth:640, innerHeight:390});
        $(".vimeo").colorbox({iframe:true, innerWidth:500, innerHeight:409});
        $(".iframe").colorbox({iframe:true, width:"100%", height:"100%"});
        $(".inline").colorbox({inline:true, width:"50%"});
        $(".callbacks").colorbox({
          onOpen:function(){ alert('onOpen: colorbox is about to open'); },
          onLoad:function(){ alert('onLoad: colorbox has started to load the targeted content'); },
          onComplete:function(){ alert('onComplete: colorbox has displayed the loaded content'); },
          onCleanup:function(){ alert('onCleanup: colorbox has begun the close process'); },
          onClosed:function(){ alert('onClosed: colorbox has completely closed'); }
        });

        $('.non-retina').colorbox({rel:'group5', transition:'none'})
        $('.retina').colorbox({rel:'group5', transition:'none', retinaImage:true, retinaUrl:true});
        
        
        $("#click").click(function(){ 
          $('#click').css({"background-color":"#f00", "color":"#fff", "cursor":"inherit"}).text("Open this window again and this message will still be here.");
          return false;
        });
      });
  </script>
    
  <script>

  function playoniframe(url,id,type){

 
    $(document).ready(function(){
    var SITEURL = '{{URL::to('')}}';
       $.ajax({
            type: "get",
            url: SITEURL + "/user/watchhistory/"+id+'/'+type,
            success: function (data) {
             console.log(data);
            },
            error: function (data) {
               console.log(data)
            }
        });
      });       
        $.colorbox({ href: url, width: '100%', height: '100%', iframe: true });
      }
      
    </script>

     <script>
      $('#selectseason').on('change',function(){
        var get = $('#selectseason').val();
        @if(Auth::check() && getSubscription()->getData()->subscribed == true)
        window.location.href = '{{ url('show/detail/') }}/'+get;
        @else
        window.location.href = '{{ url('show/guest/detail/') }}/'+get;
        @endif
      });
    </script>
<script>

  function myage(age){
    if (age==0) {
      $('#ageModal').modal('show'); 
    }else{
        $('#ageWarningModal').modal('show');
    }
  }
      
</script>
<script type="text/javascript">
  function mouseoverrating () {
        
        $.ajax({
            type: "POST",
            url: "{{url('/video/rating')}}",
            data:$("#mformrating").serialize(),
            success: function (data) {
              console.log(data);
            },
            error: function(XMLHttpRequest, textStatus, errorThrown) {
          console.log(XMLHttpRequest);
            }
        });
    
        }
         function mouseoverratingtv () {
        
        $.ajax({
            type: "POST",
            url: "{{url('/video/rating/tv')}}",
            data:$("#formrating").serialize(),
            success: function (data) {
              console.log(data);
            },
            error: function(XMLHttpRequest, textStatus, errorThrown) {
          console.log(XMLHttpRequest);
            }
        });
    
        }
</script>
<script type="text/javascript">

  function myrate(){
            $.ajax({
            type: "POST",
            url: "{{url('/video/rating')}}",
            data:$("#formrating").serialize(),
            success: function (data) {
              console.log(data);
              location.reload();
            },
            error: function(XMLHttpRequest, textStatus, errorThrown) {
             console.log(XMLHttpRequest);
            }
        });
    }

     function myrateTv(){
            $.ajax({
            type: "POST",
            url: "{{url('/video/rating/tv')}}",
            data:$("#formratingtv").serialize(),
            success: function (data) {
              console.log(data);
              location.reload();
            },
            error: function(XMLHttpRequest, textStatus, errorThrown) {
          console.log(XMLHttpRequest);
            }
        });
    }

  $(document).ready(function(){

  $("#rating").on('mouseout',function(event){
           event.preventDefault();
           var val = $(".rating").val();

           // alert(val)

         $.ajax({
            type: "GET",
            url: "{{url('/video/rating')}}",
            data:$("#formrating").serialize(),
            success: function (data) {
              console.log(data);
            },
            error: function(XMLHttpRequest, textStatus, errorThrown) {
             console.log(XMLHttpRequest);
            }
        });

  });

  $("#rating").on('mouseover',function(event){
           event.preventDefault();
           var val = $(".rating").val();

           // alert(val)

         $.ajax({
            type: "GET",
            url: "{{url('/video/rating')}}",
            data:$("#formrating").serialize(),
            success: function (data) {
              console.log(data);
            },
            error: function(XMLHttpRequest, textStatus, errorThrown) {
             console.log(XMLHttpRequest);
            }
        });

  });

  $("#rating").on('mouseenter',function(event){
           event.preventDefault();
           var val = $(".rating").val();

           // alert(val)

         $.ajax({
            type: "GET",
            url: "{{url('/video/rating')}}",
            data:$("#formrating").serialize(),
            success: function (data) {
              console.log(data);
            },
            error: function(XMLHttpRequest, textStatus, errorThrown) {
             console.log(XMLHttpRequest);
            }
        });

  });

  $("#rating").on('mouseleave',function(event){
           event.preventDefault();
           var val = $(".rating").val();

           // alert(val)

         $.ajax({
            type: "GET",
            url: "{{url('/video/rating')}}",
            data:$("#formrating").serialize(),
            success: function (data) {
              console.log(data);
            },
            error: function(XMLHttpRequest, textStatus, errorThrown) {
             console.log(XMLHttpRequest);
            }
        });

  });

   function mouseoverrating () {
        $.ajax({
            type: "GET",
            url: "{{url('/video/rating')}}",
            data:$("#formrating").serialize(),
            success: function (data) {
              console.log(data);
            },
            error: function(XMLHttpRequest, textStatus, errorThrown) {
             console.log(XMLHttpRequest);
            }
        });
    
        }
    
          
    function mouseoverratingtv () {    
        $.ajax({
            type: "POST",
            url: "{{url('/video/rating/tv')}}",
            data:$("#formratingtv").serialize(),
            success: function (data) {
              console.log(data);
            },
            error: function(XMLHttpRequest, textStatus, errorThrown) {
          console.log(XMLHttpRequest);
            }
        });
    
        }
  });
</script>

@endsection